<?php // Do not delete these lines
if ('comments.php' == basename($_SERVER['SCRIPT_FILENAME'])) die ('Please do not load this page directly. Thanks!');
if (!empty($post->post_password)) { // if there's a password
	if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) {  // and it doesn't match the cookie
?>

<p class="nocomments">This post is password protected. Enter the password to view comments.</p>

<?php return;
	}
}

	/* This variable is for alternating comment background */

$oddcomment = 'alt';

?>

<?php $comment_type = get_comment_type(); ?>

<!-- You can start editing here. -->

<?php if ($comments) : ?>

<?php

	/* Count the totals */
	$numPingBacks = 0;
	$numComments  = 0;

	/* Loop through comments to count these totals */
	foreach ($comments as $comment) {
		if (get_comment_type() != "comment") { $numPingBacks++; }
		else { $numComments++; }
	}

?>
	<?php if ($numComments != 0) : ?>
<div class="responses_head">
	<h3><?php comments_number('No Responses', 'One Response', '% Responses' );?> to &#8220;<?php the_title(); ?>&#8221;</h3>
</div>
<ol class="commentlist">
<?php foreach ($comments as $comment) : ?>
<?php if (get_comment_type()=="comment") : ?>


	<li class="<?php echo $oddcomment; ?>" id="comment-<?php comment_ID() ?>">

<?php echo get_avatar( $comment, $size = '58' ); ?>
<div class="commentmetadata">
		Author: <?php comment_author_link() ?><br/>
		Date: <a href="#comment-<?php comment_ID() ?>" title=""><?php comment_date('F jS, Y') ?><br/>
		Time: <?php comment_time() ?></a><br/>
		<?php edit_comment_link('Edit Comment','',''); ?>
 		<?php if ($comment->comment_approved == '0') : ?>
		<em><?php _e('Your comment is awaiting moderation.'); ?></em>
 		<?php endif; ?>
</div>

<?php comment_text() ?>
	</li>

<?php /* Changes every other comment to a different class */
	if ('alt' == $oddcomment) $oddcomment = '';
	else $oddcomment = 'alt';
?>
	<?php endif; endforeach; ?>
</ol>
	<?php endif; ?>
		
	
	<?php

	/* This is a loop for printing trackbacks if there are any */
	if ($numPingBacks != 0) : ?>

<div class="responses_head">
	<h3 id="trackbacks"><?php _e($numPingBacks); ?> Trackback(s)</h3>
</div>
<ol class="commentlist">
<?php foreach ($comments as $comment) : ?>
<?php if (get_comment_type()!="comment") : ?>

	<li id="comment-<?php comment_ID() ?>">
		<?php comment_date('M j, Y') ?>: <?php comment_author_link() ?>
	</li>
	

	<?php if('odd'==$thiscomment) { $thiscomment = 'even'; } else { $thiscomment = 'odd'; } ?>
<?php endif; endforeach; ?>
</ol>
	<?php endif; ?>
	
	<?php else :

	/* No comments at all means a simple message instead */
?>

<?php endif; ?>

<?php if ('open' == $post->comment_status) : ?>
	<!-- If comments are open, but there are no comments. -->
	<?php else : // comments are closed ?>

	<!-- If comments are closed. -->
<p class="nocomments">Comments are closed.</p>

	<?php endif; ?>


<?php if ('open' == $post->comment_status) : ?>
<div class="reply_head">
		<h3>Leave a Reply</h3>
</div>

<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
You must be <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php the_permalink(); ?>">logged in</a> to post a comment.<br/>

<?php else : ?>

<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
<?php if ( $user_ID ) : ?>

Logged in as <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="Log out of this account">Logout</a>

<?php else : ?>

<input type="text" name="author" id="commentauthor" value="<?php echo $comment_author; ?>" size="40" tabindex="1" />
<label for="commentauthor"><small>Name <?php if ($req) echo "(required)"; ?></small></label><br/>

<input type="text" name="email" id="commentemail" value="<?php echo $comment_author_email; ?>" size="40" tabindex="2" />
<label for="commentemail"><small>Mail (will not be published) <?php if ($req) echo "(required)"; ?></small></label><br/>

<input type="text" name="url" id="commenturl" value="<?php echo $comment_author_url; ?>" size="40" tabindex="3" />
<label for="commenturl"><small>Website</small></label><br/>

<?php endif; ?>

<textarea name="comment" id="comment" cols="60" rows="10" tabindex="4"></textarea><br/>

<input name="submit" type="submit" id="submit" tabindex="5" value="Submit Comment" />
<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />

<?php do_action('comment_form', $post->ID); ?>

</form>
<?php endif; // If registration required and not logged in ?>

<?php else : // Comments are closed ?>
<?php endif; ?>