<?php define('WP_USE_THEMES', false); get_header(); ?>

<div id="main">
<?php $blogurl = get_bloginfo('url');?>

	<div id="nav_wrap">
		<div class="title_wrap">
		<div class="title_topleft"></div>
		<div class="title_topmiddle"></div>
		<div class="title_topright"></div>
		</div>
		<div id="nav">
			<ul>
				<?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar(5) ) : else : endif ;?>
			</ul>
		</div>
	</div>

	<div id="maincontent">

	<?php if ( have_posts() ) : while (have_posts()) : the_post(); ?>

		<div class="entry">
		
			<div id="post-<?php the_ID(); ?>">
				<div class="title_wrap">
					<div class="title_topleft"></div>
					<div class="title_topmiddle"></div>
					<div class="title_topright"></div>
				</div>
				<div class="post-header">
					<h2 class="title"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2>
					<div class="date">
						Written on <?php unset($previousday); printf(__('%1$s &#8211; %2$s'), the_date('', '', '', false), get_the_time() ) ?>
					</div>
				</div>
				
				<div class="words">
					<div class="author">
						<a href="<?php echo $blogurl; ?>?author=<?php the_author_ID() ?>"><?php echo get_avatar( get_the_author_email(), '65' ); ?><br />
						<?php the_author() ?></a>
					</div>
					<?php the_content('Read the rest of this entry &raquo;'); ?>
					
					<?php wp_link_pages('before=<p align="center">&after=&next_or_number=next&previouspagelink=Previous Page&nextpagelink='); ?><?php wp_link_pages('before=&after= &next_or_number=number&pagelink=%'); ?><?php wp_link_pages('before=&after=</p>&next_or_number=next&previouspagelink=&nextpagelink=Next Page'); ?>
				
				</div>
				
				<div class="postmetadata">
					<?php edit_post_link('Edit', '', ' | '); ?>
				</div>

				<div class="clear"></div>
			</div>
		</div>

		<?php endwhile; ?>

		<?php else : ?>
		<div>
			<h2>Page Not Found</h2>
		</div>

	<?php endif; ?>

	</div>
</div>
<?php get_sidebar(); ?>
<div class="clear"></div>
<?php get_footer(); ?>